Public Attributes | List of all members
gap_cb_fun_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Connection Control » Structures

The gap callback function struct. More...

`#include <ble_gapc.h>`

## Public Attributes
void(* | app_gap_param_set_cb )(uint8_t status, const gap_param_set_op_id_t set_param_op)
| This callback function will be called when the param(s) setting operation has been completed. More...
void(* | app_gap_psm_manager_cb )(uint8_t status, const gap_psm_manager_op_id_t psm_op)
| This callback function will be called when the PSM register/unregister operation has been completed. More...
void(* | app_gap_phy_update_cb )(uint8_t conn_idx, uint8_t status, const gap_le_phy_ind_t *p_phy)
| This callback function will be called when update PHY completed. More...
void(* | app_gap_dev_info_get_cb )(uint8_t status, const gap_dev_info_get_t *p_dev_info)
| This callback function will be called once the requested parameters has been available. More...
void(* | app_gap_adv_start_cb )(uint8_t inst_idx, uint8_t status)
| This callback function will be called when the adv has started. More...
void(* | app_gap_adv_stop_cb )(uint8_t inst_idx, uint8_t status, gap_stopped_reason_t adv_stop_reason)
| This callback function will be called when the adv has stopped. More...
void(* | app_gap_scan_req_ind_cb )(uint8_t inst_idx, const gap_bdaddr_t *p_scanner_addr)
| This callback function will be called when app has received the scan request. More...
void(* | app_gap_adv_data_update_cb )(uint8_t inst_idx, uint8_t status)
| This callback function will be called when update adv data completed. More...
void(* | app_gap_scan_start_cb )(uint8_t status)
| This callback function will be called when the scan has started. More...
void(* | app_gap_scan_stop_cb )(uint8_t status, gap_stopped_reason_t scan_stop_reason)
| This callback function will be called once the scanning activity has been stopped. More...
void(* | app_gap_adv_report_ind_cb )(const gap_ext_adv_report_ind_t *p_adv_report)
| This callback function will be called once the advertising report has been received. More...
void(* | app_gap_sync_establish_cb )(uint8_t inst_idx, uint8_t status, const gap_sync_established_ind_t *p_sync_established_info)
| This callback function will be called once the periodic advertising synchronization has been established. More...
void(* | app_gap_stop_sync_cb )(uint8_t inst_idx, uint8_t status)
| This callback function will be called when sync has stopped. More...
void(* | app_gap_sync_lost_cb )(uint8_t inst_idx)
| This callback function will be called once the periodic advertising synchronization has been lost. More...
void(* | app_gap_connect_cb )(uint8_t conn_idx, uint8_t status, const gap_conn_cmp_t *p_conn_param)
| This callback function will be called when connection completed. More...
void(* | app_gap_disconnect_cb )(uint8_t conn_idx, uint8_t status, uint8_t reason)
| This callback function will be called when disconnection completed. More...
void(* | app_gap_connect_cancel_cb )(uint8_t status)
| This callback function will be called when connection canceled. More...
void(* | app_gap_auto_connection_timeout_cb )(void)
| This callback function will be called when an automatic connection timeout occurs. More...
void(* | app_gap_peer_name_ind_cb )(uint8_t conn_idx, const gap_peer_name_ind_t *p_peer_name)
| This callback function will be called when the peer name info has been available. More...
void(* | app_gap_connection_update_cb )(uint8_t conn_idx, uint8_t status, const gap_conn_update_cmp_t *p_conn_param_update_info)
| This callback function will be called when connection update completed. More...
void(* | app_gap_connection_update_req_cb )(uint8_t conn_idx, const gap_conn_param_t *p_conn_param_update_req)
| This callback function will be called when the peer device requests updating connection. More...
void(* | app_gap_connection_info_get_cb )(uint8_t conn_idx, uint8_t status, const gap_conn_info_param_t *p_conn_info)
| This callback function will be called when app has got the connection info. More...
void(* | app_gap_peer_info_get_cb )(uint8_t conn_idx, uint8_t status, const gap_peer_info_param_t *p_peer_dev_info)
| This callback function will be called when app has got the peer info. More...
void(* | app_gap_le_pkt_size_info_cb )(uint8_t conn_idx, uint8_t status, const gap_le_pkt_size_ind_t *p_supported_data_length_size)
| This callback function will be called when an app sets the length size of the supported data. More...
void(* | app_gap_rslv_addr_read_cb )(uint8_t status, const gap_rslv_addr_read_t *p_read_rslv_addr)
| This callback function will be called when an app reads the local or peer reslovable address. More...

## Detailed Description

The gap callback function struct.

Definition at line 499 of file ble_gapc.h.

## Member Data Documentation

## ◆ app_gap_adv_data_update_cb

void(* gap_cb_fun_t::app_gap_adv_data_update_cb) (uint8_t inst_idx, uint8_t status)

This callback function will be called when update adv data completed.

Parameters

  [in] | inst_idx | The advertising index. Valid range is: 0 - 4.
  [in] | status | The status of udpate PHY operation.

Return values

  void |

Definition at line 589 of file ble_gapc.h.

## ◆ app_gap_adv_report_ind_cb

void(* gap_cb_fun_t::app_gap_adv_report_ind_cb) (const gap_ext_adv_report_ind_t *p_adv_report)

This callback function will be called once the advertising report has been received.

Parameters

  [in] | p_adv_report | Pointer to the extended advertising report. See gap_ext_adv_report_ind_t.

Return values

  void |

Definition at line 621 of file ble_gapc.h.

## ◆ app_gap_adv_start_cb

void(* gap_cb_fun_t::app_gap_adv_start_cb) (uint8_t inst_idx, uint8_t status)

This callback function will be called when the adv has started.

Parameters

  [in] | inst_idx | The advertising index. Valid range is: 0 - 4.
  [in] | status | The status of starting a advertiser.

Return values

  void |

Definition at line 558 of file ble_gapc.h.

## ◆ app_gap_adv_stop_cb

void(* gap_cb_fun_t::app_gap_adv_stop_cb) (uint8_t inst_idx, uint8_t status, gap_stopped_reason_t adv_stop_reason)

This callback function will be called when the adv has stopped.

Parameters

  [in] | inst_idx | The advertising index. Valid range is: 0 - 4.
  [in] | status | The status of stopping a advertiser. If status is not success, adv_stop_reason is invalid.
  [in] | adv_stop_reason | The stop reason. See gap_stopped_reason_t.

Return values

  void |

Definition at line 569 of file ble_gapc.h.

## ◆ app_gap_auto_connection_timeout_cb

void(* gap_cb_fun_t::app_gap_auto_connection_timeout_cb) (void)

This callback function will be called when an automatic connection timeout occurs.

Return values

  void |

Definition at line 694 of file ble_gapc.h.

## ◆ app_gap_connect_cancel_cb

void(* gap_cb_fun_t::app_gap_connect_cancel_cb) (uint8_t status)

This callback function will be called when connection canceled.

Parameters

  [in] | status | The status of cancel operation.

Return values

  void |

Definition at line 686 of file ble_gapc.h.

## ◆ app_gap_connect_cb

void(* gap_cb_fun_t::app_gap_connect_cb) (uint8_t conn_idx, uint8_t status, const gap_conn_cmp_t *p_conn_param)

This callback function will be called when connection completed.

Parameters

  [in] | conn_idx | The connection index.
  [in] | status | The status of operation. If status is not success, conn_idx and p_conn_param are invalid.
  [in] | p_conn_param | Pointer to the connection param. See gap_conn_cmp_t.

Return values

  void |

Definition at line 666 of file ble_gapc.h.

## ◆ app_gap_connection_info_get_cb

void(* gap_cb_fun_t::app_gap_connection_info_get_cb) (uint8_t conn_idx, uint8_t status, const gap_conn_info_param_t *p_conn_info)

This callback function will be called when app has got the connection info.

Parameters

  [in] | conn_idx | The connection index.
  [in] | status | The status of GAP operation.
  [in] | p_conn_info | Pointer to the connection info. See gap_conn_info_param_t.

Return values

  void |

Definition at line 740 of file ble_gapc.h.

## ◆ app_gap_connection_update_cb

void(* gap_cb_fun_t::app_gap_connection_update_cb) (uint8_t conn_idx, uint8_t status, const gap_conn_update_cmp_t *p_conn_param_update_info)

This callback function will be called when connection update completed.

Parameters

  [in] | conn_idx | The connection index.
  [in] | status | The status of GAP operation.
  [in] | p_conn_param_update_info | Pointer to the connection update complete param. See gap_conn_update_cmp_t.

Return values

  void |

Definition at line 719 of file ble_gapc.h.

## ◆ app_gap_connection_update_req_cb

void(* gap_cb_fun_t::app_gap_connection_update_req_cb) (uint8_t conn_idx, const gap_conn_param_t *p_conn_param_update_req)

This callback function will be called when the peer device requests updating connection.

Parameters

  [in] | conn_idx | The connection index.
  [in] | p_conn_param_update_req | Pointer to the connection update request param. See gap_conn_param_t.

Return values

  void |

Definition at line 729 of file ble_gapc.h.

## ◆ app_gap_dev_info_get_cb

void(* gap_cb_fun_t::app_gap_dev_info_get_cb) (uint8_t status, const gap_dev_info_get_t *p_dev_info)

This callback function will be called once the requested parameters has been available.

Parameters

  [in] | status | GAP operation status.
  [in] | p_dev_info | Pointer to the device info. See gap_dev_info_get_t.

Return values

  void |

Definition at line 544 of file ble_gapc.h.

## ◆ app_gap_disconnect_cb

void(* gap_cb_fun_t::app_gap_disconnect_cb) (uint8_t conn_idx, uint8_t status, uint8_t reason)

This callback function will be called when disconnection completed.

Parameters

  [in] | conn_idx | The connection index.
  [in] | status | The status of operation. If status is not success, disconnection reason is invalid.
  [in] | reason | The reason of disconnection. See BLE Stack specific error codes.

Return values

  void |

Definition at line 677 of file ble_gapc.h.

## ◆ app_gap_le_pkt_size_info_cb

void(* gap_cb_fun_t::app_gap_le_pkt_size_info_cb) (uint8_t conn_idx, uint8_t status, const gap_le_pkt_size_ind_t *p_supported_data_length_size)

This callback function will be called when an app sets the length size of the supported data.

Parameters

  [in] | conn_idx | The connection index.
  [in] | status | The status of GAP operation.
  [in] | p_supported_data_length_size | Supported data length size. See gap_le_pkt_size_ind_t.

Return values

  void |

Definition at line 762 of file ble_gapc.h.

## ◆ app_gap_param_set_cb

void(* gap_cb_fun_t::app_gap_param_set_cb) (uint8_t status, const gap_param_set_op_id_t set_param_op)

This callback function will be called when the param(s) setting operation has been completed.

Parameters

  [in] | status | The status of set param operation.
  [in] | set_param_op | The operation of setting.

See also
  gap_param_set_op_id_t.

Return values

  void |

Definition at line 513 of file ble_gapc.h.

## ◆ app_gap_peer_info_get_cb

void(* gap_cb_fun_t::app_gap_peer_info_get_cb) (uint8_t conn_idx, uint8_t status, const gap_peer_info_param_t *p_peer_dev_info)

This callback function will be called when app has got the peer info.

Parameters

  [in] | conn_idx | The connection index.
  [in] | status | The status of GAP operation.
  [in] | p_peer_dev_info | Pointer to the peer device info. See gap_peer_info_param_t.

Return values

  void |

Definition at line 751 of file ble_gapc.h.

## ◆ app_gap_peer_name_ind_cb

void(* gap_cb_fun_t::app_gap_peer_name_ind_cb) (uint8_t conn_idx, const gap_peer_name_ind_t *p_peer_name)

This callback function will be called when the peer name info has been available.

Parameters

  [in] | conn_idx | The connection index.
  [in] | p_peer_name | Pointer to the peer device name indication info. See gap_peer_name_ind_t.

Return values

  void |

Definition at line 704 of file ble_gapc.h.

## ◆ app_gap_phy_update_cb

void(* gap_cb_fun_t::app_gap_phy_update_cb) (uint8_t conn_idx, uint8_t status, const gap_le_phy_ind_t *p_phy)

This callback function will be called when update PHY completed.

Parameters

  [in] | conn_idx | The index of connections.
  [in] | status | The status of udpate PHY operation.
  [in] | phy | Pointer to the PHY info.

Return values

  void |

Definition at line 534 of file ble_gapc.h.

## ◆ app_gap_psm_manager_cb

void(* gap_cb_fun_t::app_gap_psm_manager_cb) (uint8_t status, const gap_psm_manager_op_id_t psm_op)

This callback function will be called when the PSM register/unregister operation has been completed.

Parameters

  [in] | status | The status of PSM manager operations.
  [in] | psm_op | The operation of register/unregister PSM.

See also
  gap_psm_op_id_t

Return values

  void |

Definition at line 523 of file ble_gapc.h.

## ◆ app_gap_rslv_addr_read_cb

void(* gap_cb_fun_t::app_gap_rslv_addr_read_cb) (uint8_t status, const gap_rslv_addr_read_t *p_read_rslv_addr)

This callback function will be called when an app reads the local or peer reslovable address.

Parameters

  [in] | status | The status of GAP operation.
  [in] | p_read_rslv_addr | Read resolvable address info. See gap_rslv_addr_read_t.

Return values

  void |

Definition at line 772 of file ble_gapc.h.

## ◆ app_gap_scan_req_ind_cb

void(* gap_cb_fun_t::app_gap_scan_req_ind_cb) (uint8_t inst_idx, const gap_bdaddr_t *p_scanner_addr)

This callback function will be called when app has received the scan request.

Parameters

  [in] | inst_idx | The advertising index. Valid range is: 0 - 4.
  [in] | p_scanner_addr | Pointer to the BD address. See gap_bdaddr_t.

Return values

  void |

Definition at line 579 of file ble_gapc.h.

## ◆ app_gap_scan_start_cb

void(* gap_cb_fun_t::app_gap_scan_start_cb) (uint8_t status)

This callback function will be called when the scan has started.

Parameters

  [in] | status | The status of starting a scanner.

Return values

  void |

Definition at line 602 of file ble_gapc.h.

## ◆ app_gap_scan_stop_cb

void(* gap_cb_fun_t::app_gap_scan_stop_cb) (uint8_t status, gap_stopped_reason_t scan_stop_reason)

This callback function will be called once the scanning activity has been stopped.

Parameters

  [in] | status | The status of stopping a scanner.
  [in] | scan_stop_reason | The stop reason. See gap_stopped_reason_t.

Return values

  void |

Definition at line 612 of file ble_gapc.h.

## ◆ app_gap_stop_sync_cb

void(* gap_cb_fun_t::app_gap_stop_sync_cb) (uint8_t inst_idx, uint8_t status)

This callback function will be called when sync has stopped.

Parameters

  [in] | status | The status of stopping sync.
  [in] | inst_idx | The periodic syncronization index. Valid range is: 0 - 4.

Return values

  void |

Definition at line 642 of file ble_gapc.h.

## ◆ app_gap_sync_establish_cb

void(* gap_cb_fun_t::app_gap_sync_establish_cb) (uint8_t inst_idx, uint8_t status, const gap_sync_established_ind_t *p_sync_established_info)

This callback function will be called once the periodic advertising synchronization has been established.

Parameters

  [in] | status | The status of sync.
  [in] | inst_idx | The periodic syncronization index. Valid range is: 0 - 4.
  [in] | p_sync_established_info | Pointer to the established ind info. See gap_sync_established_ind_t.

Return values

  void |

Definition at line 632 of file ble_gapc.h.

## ◆ app_gap_sync_lost_cb

void(* gap_cb_fun_t::app_gap_sync_lost_cb) (uint8_t inst_idx)

This callback function will be called once the periodic advertising synchronization has been lost.

Parameters

  [in] | inst_idx | The periodic syncronization index. Valid range is: 0 - 4.

Return values

  void |

Definition at line 651 of file ble_gapc.h.

The documentation for this struct was generated from the following file:

- ble_gapc.h